Loading...
Searching...
No Matches
Opm::MonoThrowHandler< Exception > Struct Template Reference

A functor for handling a monostate in a visitor overload set. More...

`#include <Visitor.hpp>`

## Public Member Functions

| MonoThrowHandler (const std::string &message)
void | operator() (std::monostate &)
void | operator() (const std::monostate &) const

## Detailed Description

template<class Exception>
struct Opm::MonoThrowHandler< Exception >

A functor for handling a monostate in a visitor overload set.

Throws an exception

The documentation for this struct was generated from the following file:

- opm/common/utility/Visitor.hpp